Bug 736432 - gnome-shell extensions not working
Summary: gnome-shell extensions not working
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 16:50 UTC by Joachim Backes
Modified: 2013-02-13 19:49 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:49:27 UTC


Attachments (Terms of Use)
the empty gnome-tweak-tool "Shell Extensions" submenu (11.09 KB, image/png)
2011-09-07 16:50 UTC, Joachim Backes
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 753496 None None None Never

Internal Links: 753496

Description Joachim Backes 2011-09-07 16:50:42 UTC
Created attachment 521946 [details]
the empty gnome-tweak-tool "Shell Extensions" submenu

Description of problem:
I installed all available gnome-shell extensions (curiosity!):

gnome-shell-extension-auto-move-windows-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-pomodoro-0-0.2.git13030cd.fc16.noarch
gnome-shell-extension-alternate-tab-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-remove-volume-icon-0.1-1.fc16.noarch
gnome-shell-extension-remove-bluetooth-icon-0.1-1.fc16.noarch
gnome-shell-extension-remove-accessibility-icon-20110603-1.fc16.noarch
gnome-shell-extension-places-menu-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-noim-1.0-1.fc16.noarch
gnome-shell-extension-noripple-1.0-1.fc16.noarch
gnome-shell-extension-alternative-status-menu-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-dock-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-systemMonitor-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-common-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-user-theme-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-icon-manager-0-0.2.gite9deb2b.fc16.noarch
gnome-shell-extension-cpu-temperature-0-0.1.git712153f.fc16.noarch
gnome-shell-extension-windowsNavigator-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-gpaste-1.2-1.fc16.noarch
gnome-shell-extension-mediaplayers-0-0.1.git259f96e.fc16.noarch
gnome-shell-extension-apps-menu-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-presentation-mode-0-0.2.gitc3ce6b2.fc16.noarch
gnome-shell-extension-righthotcorner-1.0-1.fc16.noarch
gnome-shell-extension-native-window-placement-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-theme-selector-0.9-3.fc16.noarch
gnome-shell-extension-pidgin-0-0.2.git4ca78b1.fc16.x86_64
gnome-shell-extension-drive-menu-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
gnome-shell-extension-workspacesmenu-0-1.fc16.noarch

But if now starting gnome-tweak-tool, the "Shell extensions" submenu remains empty - no extension is shown. And I see no extension effect in the user menu (top right), or, for example, there is no menu in the system status area that tracks removable disk devices [this should be provided by gnome-shell-extension-drive-menu-3.1.4-3.20110830git6b5e3a3e.fc16.noarch].


Version-Release number of selected component (if applicable):
gnome-shell-3.1.4-2.gite7b9933.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.Install gnome-shell exentension, for example gnome-shell-extension-drive-menu-3.1.4-3.20110830git6b5e3a3e.fc16.noarch
2. 
3.
  
Actual results:
No device menu has been added

Expected results:
device menu has been added

Additional info:

Comment 1 Joachim Backes 2011-09-07 17:00:02 UTC
Running LookingGlass (alt+f2->lg->extensions) complains: no extensions installed.

Comment 2 Giovanni Tirloni 2011-10-15 22:54:39 UTC
Confirmed on Fedora 16 Beta (updated on 2011-10-15).

This happens because the Gnome Shell Extensions have a different version than the Gnome Shell itself.

Gnome Shell = 3.2
Extensions = Some are 3.1.4

To enable them (and so the Tweak tool -- why is it in Acessories and not System Tools?) do the following:

Edit the metadata.json file for each extension in "/usr/share/gnome-shell/extensions/*/metadata.json" to be 3.2.0

Comment 3 Giovanni Tirloni 2011-10-15 23:11:31 UTC
Just a clarification, that will make the tweak tool SEE the extensions, but GNOME 3.2 still fails to load them.

Comment 4 Giovanni Tirloni 2011-10-31 07:38:41 UTC
I was able to get the extensions to work by checking them out from the git repo (https://live.gnome.org/GnomeShell/Extensions) and copying the files over to /usr/share/gnome-shell/extensions.

Comment 5 lexual 2011-11-03 00:20:50 UTC
Confirming that installing dock extension doesn't work with F16

Comment 6 Felix Schwarz 2011-11-08 20:11:01 UTC
just for others which installed Fedora 16 final and wonder why extensions don't work: gnome-shell was upgraded to 3.2.1 so the extension's metadata.json should mention that (3.2.0 will obviously no work).

Comment 7 Fedora End Of Life 2013-01-16 16:18:34 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-02-13 19:49:31 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.